import { defineNuxtModule, addVitePlugin, addWebpackPlugin } from '@nuxt/kit';
import vite from './vite.js';
import webpack from './webpack.js';
import '@nuxt/schema';
import 'unplugin';
import './index.js';
import 'node:process';
import '@rollup/pluginutils';
import 'html-rewriter-wasm';

var nuxt = defineNuxtModule({
    meta: {
        name: "nuxt-unplugin-starter",
        configKey: "unpluginStarter",
    },
    defaults: {
    // ...default options
    },
    setup(options, _nuxt) {
        addVitePlugin(() => vite(options));
        addWebpackPlugin(() => webpack(options));
        // ...
    },
});

export { nuxt as default };
